# Snom Integration

## Anrufinfo erhalten

<mark style="color:blue;">`GET`</mark> `https://crm.propstack.de/api/snom-phonebook`

#### Query Parameters

| Name     | Type   | Description                                                  |
| -------- | ------ | ------------------------------------------------------------ |
| api\_key | string | Der API-Key, um auf die Kundendaten in Propstack zuzugreifen |
| number   | string | Die Telefonnummer des Anrufenden                             |

{% tabs %}
{% tab title="200 Kontakt gefunden (wenn kein Kontakt gefunden, ist die Antwort leer!)" %}

```markup
<?xml version="1.0" encoding="UTF-8"?>
<SnomIPPhoneText state="relevant">
    <Title>CRM Anrufinfo</Title>
    <Prompt></Prompt>
    <Text>
      Anruf
      <br/>-<br/>
      Apple Inc.
      <br/>
      John Doe
    </Text>
</SnomIPPhoneText>
```

{% endtab %}
{% endtabs %}

Beispiel-URL:

`https://crm.propstack.de/api/snom-phonebook?api_key=mein-api-key&number=$remote`

`mein-api-key` müsste natürlich mit einem eigentlichen API-Key von Propstack ersetzt werden. Dem API-Key muss auch das Recht für die Snom-Integration explizit gesetzt werden!

`$remote` ist ein Platzhalter, den das Snom-Telefon bei einem eingehenden Anruf mit der eigentlichen Telefonnummer ersetzen würde.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.propstack.de/reference/snom-integration.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
